org.codehaus.plexus.component.configurator.converters.basic

## Class UriConverter

- java.lang.Object
- - org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter
  - - org.codehaus.plexus.component.configurator.converters.basic.AbstractBasicConverter
    - - org.codehaus.plexus.component.configurator.converters.basic.UriConverter

All Implemented Interfaces:
  ConfigurationConverter

    public class UriConverter
    extends AbstractBasicConverter

Converter for `URI` objects.

Version:
  $Id: UriConverter.java 6935 2007-10-06 08:15:56Z user57 $

### Constructor Summary

Constructors
Constructor and Description
`UriConverter()`

### Method Summary

Methods
`boolean` `canConvert(java.lang.Class type)`
`java.lang.Object` `fromString(java.lang.String str)`

### Methods inherited from class org.codehaus.plexus.component.configurator.converters.basic.AbstractBasicConverter

`fromConfiguration`

### Methods inherited from class org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter

`fromConfiguration, fromExpression, fromExpression, fromXML, getClassForImplementationHint, instantiateObject, instantiateObject, loadClass, toXML`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UriConverter

    public UriConverter()

### Method Detail

#### canConvert

    public boolean canConvert(java.lang.Class type)

#### fromString

    public java.lang.Object fromString(java.lang.String str)
                                throws ComponentConfigurationException

Specified by:
  `fromString` in class `AbstractBasicConverter`
Throws:
  `ComponentConfigurationException`